This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 374681 - Cannot log in with home directory on LUKS partition
Cannot log in with home directory on LUKS partition
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 09:36 EST by C. Applegate
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-10 09:55:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description C. Applegate 2007-11-10 09:36:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9a9pre) Gecko/2007103104 Minefield/3.0a9pre

Description of problem:
Until recently, I had an F7 system with my home directory on a LUKS partition. At boot time, I supplied the LUKS password, the partition was associated with a /dev/mapper device and mounted as /home/user, and I could log in as user. Yesterday, I blew away the F7 partition and installed F8, and now I can no longer log in as user. Whether logging in graphically or on the console, F8 complains that /home/user can't be found, and logs me in with / as my home directory.

The odd thing is, once logged in, bash can see my real home directory just fine. Doing cd ~ (logged in as user) or cd ~user (logged in as root) puts me in /home/user, where all my files are. The system successfully opens the LUKS partition and mounts it exactly where ~user should be, but login fails to see it. Here are the relevant portions of some files:

crypttab:
home_crypt /dev/sda5 none

fstab:
/dev/mapper/home_crypt  /home/user             ext3    noatime         1 2

ls -l /home:
drwx------ 45 user user 4096 2007-11-09 13:59 user

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Create LUKS-encrypted partition, populate with user's files.
2. Mount partition on /home/user.
3. Log in as user.

Actual Results:
Console complains:
No directory /home/user!
Logging in with home directory  = "/"!

But cd ~ will change directory to /home/user, and user's .bashrc aliases will work.

Graphical login gives a similar message, offering to log in with home directory = / or cancel. Attempting to log in fails, booting the user back to the login manager.

Expected Results:
User should be logged in with home directory as expected.

Additional info:
Comment 1 C. Applegate 2007-11-10 09:53:51 EST
Never mind; it was an SELinux thing. restorecon -R /home/user fixed everything.

Please close.

Note You need to log in before you can comment on or make changes to this bug.